Bug 829851 - Problems with Dual Screen in XFCE
Problems with Dual Screen in XFCE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfwm4 (Show other bugs)
17
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 12:45 EDT by Russell Doty
Modified: 2013-08-01 14:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:14:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Doty 2012-06-07 12:45:32 EDT
Description of problem:

Lenovo T500 laptop with docking station. Multiple problems when attempting to use second display:

1. When booted in dock with lid closed, the external monitor comes up as a second screen.

2. When the lid is opened, the display is dim - brightness is at the minimum setting. Can't change brightness with function keys; have to add brightness widget to toolbar, select it (difficult with screen almost invisibly dim), and increase brightness by using the slider and mouse.

3. There is no option to clone display in the standard display menu.

4. Have to use fn/f5 to bring up a display popup and then choose the second screen; choosing the copy screens selection does not work.

Version-Release number of selected component (if applicable):

Fedora 17 with XFCE


How reproducible:
Every time. 

Steps to Reproduce:
1. Place laptop in docking station with external display.
2. Boot system.
3.
  
Actual results:

External display is second screen. Can't login directly or see desktop.

Expected results:

External display is clone of primary display. Can login and use system

Additional info:
Comment 1 Kevin Fenzi 2012-06-08 11:19:36 EDT
Sadly, the Xfce display applet still has a long way to go here. 

You should possibly be able to get it working with xrandr command line. 

I'm not sure what could be causing the very dim display in the doc. Does it do that when the lid is closed and the second display is not attached?
Comment 2 Russell Doty 2012-06-08 11:34:59 EDT
Ouch - that's a bummer! Are their plans to improve the Xfce display applet?

Can you give me a pointer for working with the xrandr command line?

I will try booting the laptop in the docking station with lid closed and external monitor disconnected next week.
Comment 3 Kevin Fenzi 2012-06-08 15:03:21 EDT
Yeah, there are. If you would be willing the file a bug upstream with your use/case needs that might help them make sure that gets implemented tho. 

well, 'man xrandr' should have all the info. Basically you can list the two displays, clone/not clone them, move them right or left of the other one, etc. 

ok.
Comment 4 Russell Doty 2012-06-11 09:06:15 EDT
If the laptop is booted docked, with the lid closed, and no external monitor connected, it comes up with the screen dim.

The brightness slider is at its lowest possible setting.
Comment 5 Kevin Fenzi 2012-06-11 12:38:04 EDT
So, it's dim at the gdm screen, before Xfce even starts? 

This sounds like it could be a kernel or gnome-power-manager thing (depending on if it happens right at boot, or when gdm starts).
Comment 6 Russell Doty 2012-06-11 14:35:05 EDT
And now the brightness is working OK. I tried a series of different test runs to build a failure matrix, and the brightness is now staying at high under all test conditions. So, that part is now working. I have no idea why...

Moving on to the screens:

With the laptop docked, lid closed, and external monitor connected, the system boots and the login screen comes up in the external monitor. As soon as I login, the laptop screen becomes the primary (undesired behavior; with the lid closed, the external screen should remain the primary).

Interestingly, the wireless security popup comes up on the external monitor.
Comment 7 Russell Doty 2012-06-12 14:24:04 EDT
And today, of course, the brightness on the laptop display is set to dim when you boot the laptop. Has happened twice.
Comment 8 Russell Doty 2012-07-03 10:15:02 EDT
Re: comment 5

Brightness is normal on the attached monitor at all times. The display is normal on the attached monitor and I am able to login normally. After logging in, When the laptop lid is opened the display is very dim on the laptop screen (attached monitor still has full brightness). 

Xfce is running and I have logged in when the problem occurs.
Comment 9 Kevin Fenzi 2012-07-05 12:58:44 EDT
Perhaps it's a cold boot vs login/logout? 

Also, is xfce4-power-manager running/installed?
Comment 10 Russell Doty 2012-07-05 13:36:16 EDT
XFCE4 power manager is installed and running.

I'll try and report login/logout the next time I'm in the office.

I noticed today that the laptop screen was dim when booted out of dock. It appears that screen brightness is being reset to minimum at some point.

The fn/increase brightness keys have no effect.
Comment 11 Fedora End Of Life 2013-07-04 02:39:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 14:15:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.